Description

We deployed foreman with a prefix URI /foreman.

The application works ok with the RAILS_RELATIVE_URL_ROOT but for the import from smart-proxy.

The page has a form with 2 buttons that points to an relative url without the "/foreman".

We located the problem in the "app/views/common/_puppetclasses_or_envs_changed.html.erb".

The links are like this:
<%= form_tag "/#{controller_path}/obsolete_and_new" do ->
<= link_to "Cancel","/" + controller_path, :class => "btn" %>

Once changed to :
<%= form_tag eval("obsolete_and_new_#{controller_name}_path") do ->

<= link_to "Cancel", eval("obsolete_and_new_#{controller_name}_path"), :class => "btn" %>

The links works ok with the prefix correctly appended.
I'm not sur about the Cancel link. I've attached a diff file to the bug.

Associated revisions

Revision be8d401b - 04/24/2013 07:53 AM - Sébastien Bernard

fixes #2416 - use relative URL prefix for environment import buttons

History

#1 - 04/19/2013 09:58 AM - Dominic Cleal
- Status changed from New to Assigned
- Assignee changed from Ohad Levy to Dominic Cleal

- Target version set to 1.2.0

#2 - 04/22/2013 09:40 AM - Dominic Cleal
- Status changed from Assigned to Ready For Testing

https://github.com/theforeman/foreman/pull/538

#3 - 04/24/2013 10:01 AM - Sébastien Bernard
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset be8d401b084a1712ce7e5416fce9d3eeed10fele.

Files
puppetclass_bug.diff 800 Bytes 04/19/2013 Sébastien Bernard
05/17/2024 1/1



https://github.com/theforeman/foreman/pull/538
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/be8d401b084a1712ce7e5416fce9d3eee410fe0e
http://www.tcpdf.org

